Subject: Re: [PATCH v4 0/6] pack-objects: freshen objects with multi-cruft packs

From: Taylor Blau <[email-masked]>
Date: Thu, 13 Mar 2025 13:35:21 -0400

On Thu, Mar 13, 2025 at 10:17:57AM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Perhaps in the longer term, but I think for the reasons above that the
> > existing behavior (plus the new patch from v3, which we should still
> > queue) is sufficient.
>
> The older iteration has a few loose ends <[email-masked]>
> we would want to tie.  Elijah's "decision to combine should be made
> at half or below the max size to always make a progress" would also
> makes sense.

Let's split these two out. This series (or single patch, as it will
shortly become in v5) is fixing a legitimate bug in freshening
unreachable objects when they appear in multiple cruft packs.

That will allow us a little more time to think through the more
complicated issues while fixing the more straightforward ones quickly.

Thanks,
Taylor